Bug 89833 - Complicated spreadsheet misbehaves
Summary: Complicated spreadsheet misbehaves
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2015-03-05 03:52 UTC by Rich Wilson
Modified: 2018-07-12 02:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet that misbehaves (5.90 MB, application/vnd.ms-excel)
2015-03-05 03:52 UTC, Rich Wilson
Details
Second spreadsheet that misbehaves (3.69 MB, application/vnd.ms-excel.sheet.macroEnabled.12)
2015-03-05 03:55 UTC, Rich Wilson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rich Wilson 2015-03-05 03:52:26 UTC
Created attachment 113898 [details]
Spreadsheet that misbehaves

I'm going to attach two files: 7_Series_XPE_14_2.xls and 7_Series_XPE_2014_4.xlsm. These are two versions of mostly the same thing. Libreoffice misbehaves on the first one, and takes minutes to open the second, and then hangs (or takes way too long to respond). As an aside, the second one also misbehaves when opened by Office Pro 2003 Excel via Microsoft Open XML Converter.
What you should see when you open the spreadsheet (with macros enabled): In the Device/Family pulldown, select Zynq-7000. When you change this, the options in the Device pulldown should change so that XC7Z010 is one of the choices. 
What I see for the .xls file is an empty box for the Family pulldown. What I see for the .xlsm file after a few minutes is normal Family pulldown, but when I select "Zynq-7000" the program hangs.
I don't see a way to attach two files. The other file can be found at http://www.xilinx.com/products/design_tools/logic_design/xpe.htm by clicking on the "7 Series and Zynq®-7000" download button.
Comment 1 Rich Wilson 2015-03-05 03:55:49 UTC
Created attachment 113899 [details]
Second spreadsheet that misbehaves
Comment 2 raal 2015-03-05 10:45:06 UTC
Hello,
.xls file I can open in LO but cannot open in excel 2010. Could you prepare simple version of file?

.xlsm file I can open in excel2010 in few second, in LO long time to open. No crash when changing to Zynq-7000, but long time. Setting to new.

Version: 4.5.0.0.alpha0+
Build ID: a2fa9e2468aa5c4fd4b610c5d0ebc8959e87a072
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-23_02:34:05
Comment 3 Rich Wilson 2015-03-05 17:04:05 UTC
<from OP> This is not my spreadsheet and I have no idea how it is put together or how to modify it.
Comment 4 tommy27 2016-04-16 07:24:32 UTC Comment hidden (obsolete)
Comment 5 Rich Wilson 2016-04-16 15:57:45 UTC
I have tested these spreadsheets with version 5.1.2.2 (LibreOffice_5.1.2_Win_x86.msi) on Windows 7-64
I believe the symptoms are unchanged. Here are my observations today:

Loading the first spreadsheet leaves me with nothing in the Device/Family box to select. Task Manager shows no significant activity.

Loading the second spreadsheet hangs with "Load document" bar at about 95%.
Task Manager shows soffice.bin *32 process taking 25% CPU time (i.e. 100% of one core) and memory is at 249,224K. After several minutes, the spreadsheet comes up. Selecting Device Family Zynq-7000 again takes 25% CPU time for a long time without the new selection taking effect. I give up.
Comment 6 QA Administrators 2017-05-22 13:25:28 UTC Comment hidden (obsolete)
Comment 7 Rich Wilson 2017-05-22 15:54:22 UTC
I have retried this bug on my system, now upgraded to windows 10, and using LibreOffice Calc 5.3.2.2
The first .xls file acts the same: No options appear in the Device/Family pulldown.
The second .xlsm file has improved, but still fails. When I load it, the spreadsheet rapidly appears. However, when I make a selection in Device/Family, the options in Device/Device to not change to represent the available members of that family.
Comment 8 QA Administrators 2018-07-12 02:43:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug